libbonoboui 2.24.3
	* Skip unknown accelerators (Jeff Cai)
	* Don't pass NULL to G_OBJECT_GET_CLASS() (Paul Bolle)
	* Updated translations (ast, bn, cs, cy, en@shaw, gl, lt, ru)

libbonoboui 2.24.2

Amanpreet Singh Alam (1):
      updating for Gnome Punjabi Translation by A S Alam

Carles Ferrando (1):
      Added Catalan (Valencian) translation

Christian Persch (1):
      More gtk single include fixes. Bug #535475.

Denis Arnaud (1):
      Updated breton translation, added br in LINGUAS file

Djihed Afifi (1):
      Updated Arabic translation

Ignacio Casal Quinteiro (1):
      Updated Galician translation

Jamil Ahmed (1):
      Updated Bengali translation

Jorge Gonzalez (1):
      Updated Spanish translation

Kostas Papadimas (1):
      Updated Greek Translation by Jennie Petoumenou.

Mohammad Anwari (1):
      Updated Indonesian translation by Andika Triwidada

Rodrigo L. M. Flores (1):
      Updated Brazilian Portuguese mailing list address.

Shankar Prasad (1):
      updated kn.po

Zabeeh Khan (1):
      Updated Pashto translation


libbonoboui 2.24.1

	* Use single glib/gtk+ includes (Cosimo Cecchi, Przemysław Grzegorczyk)
	* Remove use of deprecated glib/gtk+ api (Kjartan)
	* Updated translations (ar, bg, dz, hi, lv, or, pt_BR, zh_HK, zh_TW)
 
libbonoboui 2.24.0

	* Remove more gnome-vfs deps (Cosimo Cecchi)
	* Cleanups (Andreas Köhler, Kjartan Maraas)
	* Updated translations (ar, bn_IN, hr, mai, ml, pt, ro, sr, te)

libbonoboui 2.23.5

	* Remove gnome-vfs dependency (#544831, Cosimo Cecchi)
	* Allows to build using GTK_DISABLE_DEPRECATED (chpe).
	* Translation updates.

libbonoboui 2.23.4	

        * Only include <glib.h>/<gtk/gtk.h> in public libbonoboui headers (#535475)
        * Add support for Super/Hyper/Meta in keybindings (#525626)
	* Translation updates.

libbonoboui 2.22.0
	* Translation updates.

libbonoboui 2.21.90
	* Link to popt since we use it (dmacks at netspace org)
	* Use a dialog for the "Help not found" case (Matthias)
	* Win32 fixes (Tor)

libbonoboui 2.20.0
	* More GOption porting (Gilles Dartiguelounge) 
	* Updated translations:
	  - Arabic (Khaled Hosny)
	  - Finnish (Ilkka Tuohela)
	  - Portugese (Leonardo Ferreira Fontenelle)
	  - Sinhala (Danishka Navin)
	  - Thai (aka.ape@gmail.com)

libbonoboui 2.19.5
	* Fix build with gtk+ >= 2.11.6

libbonoboui 2.19.4
        * Cleanup bonobo-browser .desktop file (Kjartan Maraas)
        * Use glib/gi18n[-lib].h instead of bonobo-i18n.h (Christian Persch)

libbonoboui 2.18.0

	* Cleanups (Kjartan)
	* Updated translations:
	  - Albanian (Laurent Dhima)
	  - Brazilian Portugese (Leonardo Ferreira Fontenelle)
	  - Lithuanian (Gintautas Miliauskas)
	  - Polish (The GNOME PL Team)

libbonoboui 2.17.93

	* Build fix.

libbonoboui 2.17.92

	* Dist MAINTAINERS (Kjartan)
	* Updated translations:
	  - Khaled Hosny (ar)
	  - Jonathan Ernst (fr)
	  - Thierry Randrianiriana (mg)

libbonoboui 2.17.91

	* Fix the port to GtkArrow (Christian Persch)
	* Build fix (Jens Granseuer)
	* Translation updates:
	  - Khaled Hosny (ar)
	  - Thierry Randrianiriana (mg)
	  - Jonathan Ernst (fr)
  
libbonoboui 2.17.0

	* Add an index to the API docs (Matthew Barnes)
	* Leak fixes (Kjartan Maraas)
	* Fix build after new deprecations in libgnome (P. Henrique Silva) [#383497]
	* Code cleanups (Kjartan Maraas)
	* Use GtkArrow to draw the arrows (Diego Escalante Urrelo) [#162312]
	* Guard against NULL to avoid crashes on Win32 (Andreas Köhler) [#379365]
	* Fix build with quartz backend (Min Sik Kim) [#382692]
	* Move ORBit2 and libxml2 to Requires.private (Samuel Thibault) [#352191]
	* Translation updates:
		* Khaled Hosny (ar)
		* Runa Bhattacharjee (bn_IN)
		* Mindu Dorji (dz)
		* Adam Weinberger (en_CA)
		* David Lodge (en_GB)
		* Ivar Smolin (et)
		* Ignacio Casal Quinteiro (gl)
		* Yair Hershkovitz (he)
		* Luca Ferretti (it)
		* Vladimer Sichinava (ka)
		* Kjartan Maraas (nb)
		* Shiva Prasad Pokharel (ne)
		* Artur Flinta (pl)
		* Leonardo Ferreira Fontenelle (pt_BR)

libbonoboui 2.16.0

	* Translation updates.

libbonoboui 2.15.1

	* Fix the about dialog in bonobo-browser (Matthias)
	* Fix leaks in the UI code that showed up when changing
	components in evolution. (Cecilia Gonzalez)
	* Set menubar to correct detachable state (Manuel Clos)

libbonoboui 2.15.0

	* Use move LINGUAS out of configure.in (Przemysław Grzegorczyk)
	* Build and warning fixes (Marcus Meissner, Kjartan)
	* Fix moving of detached toolbars (Nikolay V. Shmyrev)
	* Fix a crash in the component browser (Joe Marcus Clarke)
	* Win32 portability fixes (Tor Lillqvist)

	* Translation updates:
		* Runa Bhattacharjee (bn_IN)
		* Rajesh Ranjan (hi)
		* Christophe Merlet (fr)
		* Žygimantas Beručka (lt)
		* Raivis Dejus (lv)
		* Subhransu Behera (or)
		* Leonardo Ferreira Fontenelle (pt_BR)
		* Inaki Larranaga (eu)
		* Baris Cicek (tr) 
		* Maxim Dziumanenko (uk)

libbonoboui 2.14.0

	* Fix CORBA object leaks (Adriano Winter Bess)
	* Fix bonobo-object-browser .desktop file
	  (Stephane Loeuillet and Vincent Untz

	* Translation updates:
		* Žygimantas Beručka (lt)
		* Kjartan Maraas (nn)
		* Subhransu Behera (or)
		* Mişu Moldovan (ro)

libbonoboui 2.13.1

	* Fix leaks introduced by the GOption argument handling code
	(Christian Perch)
	* Sync with latest libgnome (Christian Persch) [#326846]

libbonoboui 2.13.0

	* Add support for GOption argument parsing in libgnome (Pawel Sliwowski, chpe) [#307312]
	* Don't use deprecated gnome_i18n_get_language_list (Gustavo J. A. M. Carneiro)
	* Translation updates:
		* Khandakar Mujahidul Islam (bn)
		* Jordi Mallach (ca)
		* Iñaki Larrañaga Murgoitio (eu)
		* Roozbeh Pournader (fa)
		* Christophe Merlet (RedFox) (fr)
		* Mohammad DAMT (id)
		* Alessio Frusciante (it)
		* Changwoo Ryu (ko)
		* Erdal Ronahi (ku)
		* Žygimantas Beručka (lt)
		* Tino Meinen (nl)
		* Afonso Celso Medina (pt_BR)
		* Leonid Kanter (ru)
		* Christian Rose (sv)
		* Baris Cicek (tr)
		* Clytie Siddall (vi)

libbonoboui 2.10.1

	* Translation updates.

libbonoboui 2.10.0

	* bugs fixed
		+ xml string free (NotZed)
		+ browser widget fix (Rodrigo Moya)
		+ UI engine sync check (Balamurali Viswanathan)
	* features
		+ statusbar packing options (Nickolay Shmyrev)
		+ Win32 support (Tor Lillqvist)

libbonoboui 2.8.1

	* bugs fixed
                + Merged the fixes from the toolbar-rework branch
                  (Federico Mena Quintero)
                + Fix warnings when toolbars are destroyed (Federico)
                + Fix GDK interaction problem when running a control
                  in same process as the container (Gustavo)
                + Fix include of wrong i18n header files (Jonathan Blandford)
                + Don't install files from examples (Gustavo)
                + Dock item a11y fix (Kjartan Maraas)
                + More toolbar fixes (Arvind Samptur)
                + Toolbar theme rendering fixes (Benjamin Berg, JP Rosevear)
        * misc.
                + Remove redundant AC_SUBST's in configure.in  (Tomasz Kłoczko)
                + Add Bonobo component browser tool (Rodrigo Moya)
                + Deprecate pack-end behavior and add a space type for
                  separators. (Marco Pesenti Gritti)
             
libbonoboui 2.5.3

	* bugs fixed
		+ toolbar/dock destruction crasher (Michael)
		+ unused arg cleanup (Fernando Herrera)
	* featurelets
		+ BonoboWindow cleanup (Arvind Samptur)

libbonoboui 2.5.2

	* bugs fixed
		+ require the right gtk+ (Jason Leach)
		+ AIX portability (The Written Word)
		+ svg icon image size (Sergey V. Udaltsov)
		+ status bar grip problem (Michael)
		+ control 'activate' signal (Federico, JP)
		+ memove not strcpy for overlap (JP)
		+ dock size allocation problem (Michael)
	* featurelets
		+ status bar packing improvement (Alexander Larsson)

libbonoboui 2.5.1

libbonoboui 2.3.6

	* bugs fixed
		+ F1 help menu shortcut (Yuedong Du)
		+ vicious K/B focus fixage (Federico)
		+ dock grip fix (Padraig O'Briain)
		+ doc. fix (Michael)

libbonoboui 2.3.3

	* bugs fixed
		+ multi-head issues (Morten Welinder, Michael)
		+ nasty focus hacks binned (Michael)
		+ UI preferences fixes (Anders Carlsson)
		+ toolbar layout fix (Gustavo Giraldez)
		+ UI re-enterancy fix (Radek Doulik)
		+ Tooltip fixes (Dave Camp)
		+ build fixage (Hidetoshi Tajima, Masahiro Sakai,
		  Malcolm Tredinnick, Padraig O'Briain, Alex Duggan)
	* featurelets
		+ new sample container (Sergey Oudaltsov)
		+ nicer toolbar rendering (Rodney Dawes)
		+ cygwin port (Masahiro Sakai)
		+ toolbar widget direction (Jody Goldberg)
		+ working canvas components (Bob Gibbs)
		+ more documentation (Gustavo Carneiro)
	* translations
		+ kn, id, mn, yi (Christian Rose)
		+ ro (Marius Andreiana)
		+ fa (Roozbeh Pournader)
		+ ml (Guntupalli Karunakar)
		+ sr (Danilo Šegan)
		+ cy (Telsa Gwynne et. al)

libbonoboui 2.2.0

	* Bugs fixed
		+ toolbar size allocation (Michael)
		+ toolbar popup positioning (Kang Jeong-Hee)
		+ help display fixes (Michael, Marcus FreeBSD)
		+ build fixes (Michael, Kjartan Maraas)
		+ file sel brokenness (NotZed)
		+ 64bit cleaning (HHetter)
		+ custom icon sizing (Mark McLouglin)

	* Featurelets
		+ new component_set_widget API (Michael)
		+ improved lifecycle helpers (Michael)
		+ built in BONOBO_DEBUG menu (Gustavo Carneiro)

libbonoboui 2.0.1

	* Featurelets
		+ new widget stuffing API (Michael)
		+ libxml2 added to deps (Mark)
		+ updated FAQ (Gustavo Carneiro)

libbonoboui 2.0.3.2

	* Bugs fixed
		+ toolbar label set efficiency win (Michael)
		+ toolbar destruction (Jaka Mocnik, Satyajit)

libbonoboui 2.0.3.1

	* Bugs fixed
		+ UI Node fixes (Michael)
		+ UI widget ref fixes (Michael)
		+ uninitialized popup ref fix (Michael)
		+ FAQ improvement (Gustavo Carneiro)

libbonoboui 2.0.3

	* Bugs fixed
		+ icon theme change fixes (Michael)

libbonoboui 2.0.2

	* Bugs fixed
		+ expose event propagation (Federico Mena)
		+ dock layout fix (Michael)
		+ flush icon cache on theme change (Michael)
		+ plug/socket in-process sizing (Michael)
		+ leak fixes (Michael)
		+ UI node lifecycle re-enterancy fix (Michael)

libbonoboui 2.0.1

	* Bugs fixed
		+ multi-head fixes all over (Mark McLouglin)
		+ plug/socket ref update (Michael, Dave Camp)
		+ menu accel group fix (Michael)
		+ UI re-enterancy fixes (Michael)
		+ a11y toolbar role on toolbar (Michael)
		+ don't install test bits (Brian Cameron)
		+ 'No foo' (Morten Welinder)
	* Featurelets
		+ better control regression tests (Michael)
		+ optimized UI path lookups (Michael)
		+ DockItem glade improvements (James Henstridge)

libbonoboui 2.0.0

	* Add bin-compat padding (Michael)

libbonoboui 1.118.0

	* Bugs fixed
		+ socket resize on show (Michael)
		+ socket sizing badness / inefficiency (Michael)
		+ DockItem glade fixes (Kristian Rietveld)
		+ pixbuf leak fix (Gustavo Giráldez)
		+ control frame CORBA sizing update (Federico)

libbonoboui 1.117.1

	* Bugs fixed
		+ toolbar config dialog transient (Michael)
		+ file-sel cancel fix (Paolo Maggi)
		+ toolbar look fix (Gustavo Giráldez)

libbonoboui 1.117.0

	* Bugs fixed
		+ file-sel control activation cleanup (Paolo Maggi)
		+ control / plug lifecycle fixup (Michael)
		+ auto-built help menu sync with libgnome (Michael)
		+ toolbar style updates to sync with control center (Michael)
		+ pass "--screen" onto multi-screen gtk+ (Balamurali Viswanathan)
		+ object ownership transferal fixes (Michael)
		+ more regression tests (Michael)
		+ transient dialog fixage (Michael, Jon-Kare Hellan)

libbonoboui 1.116.0

	* Bugs fixed
		+ GladeWidgetInfo updated (Murray Cumming)
		+ bogus construct function removal (Murray)
		+ construction property addition (Murray)
		+ status signal mis-management (Michael, Morten Welinder)
		+ don't auto-activate stuff confusingly (Michael)

libbonoboui 1.115.0

	* Bugs fixed
		+ entity mis-management (Michael, DV, Frederic Crozat)
		+ dock band bindability (Murray Cumming)
		+ remote UI container segv (Michael)
		+ focus direction fixage (Anders)
		+ signal paramter fixage (Murray)
		+ grip sizing (Jeroen Zwartepoorte)
		+ build fixage (Jacob Berkman)
		+ C++ includeability (Murray Cumming)
		+ plug/socket grab leak (Mark McLouglin)
		+ dock lockability instant update (Michael)
		+ staticification of signals (Jacob)
		+ warning free control widgeting (Michael)
		+ mutiple key press chain error (Michael)
		+ libgnome pkgconfig dependency (Murray)

	* Featurelets
		+ dock layout (Michael)
			+ accessibility
			+ key-navigability
		+ UI translation speedup (Michael)
		+ large label handling speedup (Michael)
		+ more regression tests (Michael)
		+ error handler rename (Jody Goldberg)

libbonoboui 1.113.0

	* Bugs fixed
		+ widget / leak fixes (Paolo Maggi)
		+ UI config display (Michael)
		+ file selector fixes (James Willcox, Paolo)
		+ pixmap / stock-item lookup bug (Michael)
		+ Popup API race fixage (Mark McLoughlin)
		+ resize grip visibility updates (Paolo)
		+ const warning fixes (Jody Goldberg)
		+ signal type brokenness (Michael)
		+ UI engine scripting binding fixes (Johan Dahlin)
		+ 'system_exception' fired more (Michael)

	* Featurelets (Michael)
		+ UI handler performance improvements
		+ multi display activation updates
		+ GnomeProgram re-organisation
		+ performance regression test

libbonoboui 1.112.1

	* Bugs fixed
		+ popup race (Mark)
		+ resize_grip handling (Paolo Maggi, Michael)
		+ file_selector fixes (James Willcox, Paolo)
		+ leak fixes (Paolo)
		+ zoomable ref leak on failure (Michael)
		+ build warning fixes (Jody)
		+ g_value warning fix (Michael)
		+ publicise BonoboUIEngine type (Johan Dahlin)
		+ updated control lifecycle (Michael)
		+ passes distcheck (Michael)

	* UI handler featurelets (Michael)
		+ automated performance tests
		+ compat stock mapping updated
		+ various accelerations

libbonoboui 1.112.0

	* Bugs fixed
		+ test-moniker ref leak fix (Michael)
		+ build fixes (Gediminas Paulauskas, Jacob)

	* Featurelets (Michael)
		+ frame_get_popup_component
		+ port UI config serialization to GConf
		+ remove all deprecated API usage
		+ shutdown gconf so we don't report bogus ref leaks.
		+ do more string munging on stack to save locking
		+ more performance tests

libbonoboui 1.111.0

	* Bugs fixed
		+ remove access syscalls (Michael)
		+ leak fix & menu sync upd. (Mark McLouglin)

	* Featurelets (Michael)
		+ UI set_prop much faster
		+ remove some deprecated API

libbonoboui 1.110.2

	* fix a default placeholder issue (Michael)
	* more automated regression tests (Michael)

libbonoboui 1.110.1

	* update regression tests (Michael)
	* fix radio button bug (Michael)
	* Track the Gtk+ file selector changes (Paolo Maggi)
	* UTF8 strreverse fix (Michael)
	* property control leak fix (Jens Finke)

libbonoboui 1.110.0

	* UI & controls (Michael)
		+ sensitivity bug fix
		+ merge order fixes in setAttr
		+ queueResize stub impl
		+ automated UI handler test
		+ coalesce redundant style property sets
		+ coalesce freeze/thaws on the UIComponent
		+ set style on sub-controls
		+ more compatible stock name mapping

	* Misc.
		+ glade property bag leak fix (Michael)
		+ type macro updates (Johan Dahlin)
		+ ctype cleaning (Darin)

libbonoboui 1.109.2

	* dynamicaly update UI to match GConf (Anders)
	* re-enterancy fixes in UI engine dispose (Michael)

libbonoboui 1.109.1

	* silly build fix.

libbonoboui 1.109.0

	* UI handler
		+ re-enterancy fixes (Michael)
		+ status segv (Darin Adler)
		+ resize grip configurability (Anders Carlsson)
		+ component polishing (Michael)
		+ fix control widget leak (Michael)
		+ forward ported accelerations (Michael)
		+ less malloc thrash (Michael)
	* Controls
		+ auto merging fixes (Jacob Berkman)
		+ signal updates (Dave Camp)
		+ missing macro (Bill Haneman)
		+ plug property fixage (Mark)
	* Misc
		+ PropertyControl ported (Jens Finke)
		+ more regression tests (Michael)
		+ file selector updates (Paolo Maggi)
		+ leak fixes (Michael, Anders, Darin)
		+ build fixage (Darin)

libbonoboui 1.108.1

	* GType != guint fixage (George Lebl)
	* substantial control lifecycle work & cleanup (Michael)
	* macro fixage (Jacob)
	* forward unhandled mouse clicks on plug (Mark McLouglin)
	* popup API addition (Mark)

libbonoboui 1.108.0

	* add glib-mkenum (Jacob)
	* glade updates (Jacob)
	* build fixage (Jacob, Laszlo Peter)
	* dock item placement fixes & new properties (Jacob)
	* UI handler - fix mnemonics (James Henstridge)
	* install samples out of the path (Rodrigo Moya)
	* referencing fix in toolbar (Darin)
	* plug expose issue (Michael)


libbonoboui 1.107.0

	* UI handler (Me)
		+ UI preferences ported to GConf
		+ new exception on getAttr for no attr.
		+ UI handler pre-condition fixage
		+ new popup API for the panel
		+ opt_ev'ism (Mark McLouglin)
		+ size allocation fixes (Mark McLouglin)

	* Plug / Socket (Me)
		+ BonoboWidget fixes and updates
		+ continuing lifecycle fixage
		+ don't let show_all propagate in proc.
		+ regression tests
		+ re-parenting work

	* Misc.
		+ get_type fixage (Jacob)
		+ glib fixes (Owen, Peter Williams)
		+ build fixage (Mark McLouglin, Jacob)
		+ zoomable cleans & re-writes + port to GObject

	* New docs (Mark McLouglin)
		+ UI handler
		+ object hierarchy
		+ controls / components

libbonoboui 1.106.0

	* Add exception environments where missing (Me, Federico)
	* Plug / Socket / Control / ControlFrame rewrite (Me)
		+ cleaner, quicker, smaller, leaks killed
		+ sizes before realizing
		+ documented; doc/control.txt
		+ unfinished.
	* Use GConf not gnome-preferences (Me)
	* Type name standardization (Seth Nickell)
	* glade module (Jacob)
	* Bonobo UI hello world re-written (Me)
	* Method doc fixage (Havoc)
	* Parallel install fixage (Abel Cheung, Havoc)
	* Regression tests
		+ added control / frame tests
		+ (async) moniker test updates
	* build fixage (Jacob)

libbonoboui 1.103

	* Bug fixes
		* build fixage (Glynn Foster, Anders, PeterW)
		* libgnome tracking (George Lebl)
		* leak fixage (Anders)
		* genmarshal standardiztion (Darin)
		* zoomable fixage (Cody Russell)
		* relocate server files (Me)

	* Features

		* code to do toplevel transients from controls (Me)
		* BonoboUINode/UI bits re-write (Me)
			+ much faster code
			+ uses less memory
		* update regression tests (Me)
		* IDL for container verb/id automation (Me)
 		* use gtk-stock for samples (Murray Cumming)
		* pruning libgnome usage (Martin)
		* closure API updates (Martin)
		* file selector client API (Jacob)

